# Python imports

# Lib imports
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

# Application imports
from .image_list_scroll import ImageListScroll



class LeftBox(Gtk.Box):
    def __init__(self):
        super(LeftBox, self).__init__()

        self._setup_styling()
        self._setup_signals()
        self._load_widgets()

        self.show_all()


    def _setup_styling(self):
        self.set_orientation(Gtk.Orientation.VERTICAL)
        self.set_size_request(settings.get_thumbnail_with() + 15, -1)
        self.set_vexpand(True)

    def _setup_signals(self):
        ...

    def _load_widgets(self):
        self.add(ImageListScroll())
